wibble::ConsumerFromIterator< T, Out > Struct Template Reference

`#include <consumer.h>`

Inheritance diagram for wibble::ConsumerFromIterator< T, Out >:
[legend]
Collaboration diagram for wibble::ConsumerFromIterator< T, Out >:
[legend]

## Public Member Functions

| ConsumerFromIterator (Out out)
void | consume (const T &a)
Public Member Functions inherited from wibble::ConsumerMixin< T, ConsumerFromIterator< T, Out > >
ConsumerFromIterator< T, Out > & | self ()
const ConsumerFromIterator< T, Out > & | self () const
bool | operator<= (const ConsumerFromIterator< T, Out > &o) const
Consumer< T > & | operator++ ()
Consumer< T > & | operator++ (int)
Consumer< T > & | operator* ()
Consumer< T > & | operator= (const T &a)
Public Member Functions inherited from wibble::mixin::Comparable< Self >
const Self & | cmpSelf () const
bool | operator!= (const Self &o) const
bool | operator== (const Self &o) const
bool | operator< (const Self &o) const
bool | operator> (const Self &o) const
bool | operator>= (const Self &o) const

## Protected Attributes

Out | m_out

## Additional Inherited Members

Public Types inherited from wibble::ConsumerMixin< T, ConsumerFromIterator< T, Out > >
typedef std::output_iterator_tag | iterator_category
typedef T | ConsumedType

## Constructor & Destructor Documentation

## ConsumerFromIterator()

template<typename T , typename Out >

wibble::ConsumerFromIterator< T, Out >::ConsumerFromIterator | ( | Out | out | ) |

inline

## Member Function Documentation

## consume()

template<typename T , typename Out >

void wibble::ConsumerFromIterator< T, Out >::consume | ( | const T & | a | ) |

inline

## Member Data Documentation

## m_out

template<typename T , typename Out >

Out wibble::ConsumerFromIterator< T, Out >::m_out

protected

The documentation for this struct was generated from the following file:

- consumer.h